version: "3.8"

services:
  redis:
    image: ${REDIS_IMAGE:-bitnami/redis:7.0-debian-11}
    ports:
      - 6379:6379
    volumes:
      - redis-data:/bitnami/redis/data
    environment:
      ALLOW_EMPTY_PASSWORD: "yes"

  mongodb:
    image: ${MONGODB_IMAGE:-bitnami/mongodb:6.0-debian-11}
    ports:
      - 27017:27017
    volumes:
      - mongodb-data:/bitnami/mongodb
    environment:
      ALLOW_EMPTY_PASSWORD: "yes"

  smocker:
    image: thiht/smocker:0.18.2
    ports:
      - 8080:8080
      - 8081:8081

  dependabot:
    tty: true
    build:
      context: ${PWD}
      target: development
      dockerfile: ${PWD}/Dockerfile.core
    environment:
      RAILS_ENV: test
      REDIS_URL: redis://redis:6379
      MONGODB_URL: mongodb:27017
      MOCK_HOST: smocker
      GITLAB_URL: http://smocker:8080
      SETTINGS__GITLAB_URL: http://smocker:8080
      SETTINGS__GITLAB_ACCESS_TOKEN: ${SETTINGS__GITLAB_ACCESS_TOKEN:-dev}
      SETTINGS__GITHUB_ACCESS_TOKEN: ${SETTINGS__GITHUB_ACCESS_TOKEN}
    ports:
      - 3000:3000
    volumes:
      - ..:/app
    command: bundle exec solargraph socket

volumes:
  redis-data:
  mongodb-data:
